Package ru.bitel.bgbilling.plugins.crm.common.model

# Class RegisterWork

java.lang.Object
ru.bitel.bgbilling.plugins.crm.common.model.RegisterWork

All Implemented Interfaces:
  `Serializable`

public class RegisterWork extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_CANCEL`
  `static final int`
  `STATUS_CLOSED`
  `static final int`
  `STATUS_INWORK`
  `static final int`
  `STATUS_NOTIFY`
  `static final int`
  `STATUS_ORDER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterWork()`
  Конструктор

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getDescription()`
  `Date`
  `getFactPeriodStart()`
  `Date`
  `getFactPeriodStop()`
  `int`
  `getFactTimeout()`
  `int`
  `getId()`
  `String`
  `getNotifyTextExt()`
  `String`
  `getNotifyTextInt()`
  `Date`
  `getPlanPeriodStart()`
  `Date`
  `getPlanPeriodStop()`
  `int`
  `getPlanTimeout()`
  `List<Integer>`
  `getProblemList()`
  `int`
  `getStatus()`
  `String`
  `getTarget()`
  `int`
  `getType()`
  `int`
  `getUserControlId()`
  `String`
  `getUserControlName()`
  `int`
  `getUserOrderId()`
  `String`
  `getUserOrderName()`
  `void`
  `setComment(String comment)`
  `void`
  `setDescription(String description)`
  `void`
  `setFactPeriodStart(Date factPeriodStart)`
  `void`
  `setFactPeriodStop(Date factPeriodStop)`
  `void`
  `setFactTimeout(int factTimeout)`
  `void`
  `setId(int id)`
  `void`
  `setNotifyTextExt(String notifyTextExt)`
  `void`
  `setNotifyTextInt(String notifyTextInt)`
  `void`
  `setPlanPeriodStart(Date planPeriodStart)`
  `void`
  `setPlanPeriodStop(Date planPeriodStop)`
  `void`
  `setPlanTimeout(int planTimeout)`
  `void`
  `setProblemList(List<Integer> problemList)`
  `void`
  `setStatus(int status)`
  `void`
  `setTarget(String target)`
  `void`
  `setType(int type)`
  `void`
  `setUserControlId(int userControlId)`
  `void`
  `setUserControlName(String userControlName)`
  `void`
  `setUserOrderId(int userOrderId)`
  `void`
  `setUserOrderName(String userOrderName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATUS_ORDER

    public static final int STATUS_ORDER
    See Also:
      - Constant Field Values

  - ### STATUS_NOTIFY

    public static final int STATUS_NOTIFY
    See Also:
      - Constant Field Values

  - ### STATUS_INWORK

    public static final int STATUS_INWORK
    See Also:
      - Constant Field Values

  - ### STATUS_CLOSED

    public static final int STATUS_CLOSED
    See Also:
      - Constant Field Values

  - ### STATUS_CANCEL

    public static final int STATUS_CANCEL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RegisterWork

    public RegisterWork()
    Конструктор

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getTarget

    public String getTarget()

  - ### setTarget

    public void setTarget(String target)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getPlanPeriodStart

    public Date getPlanPeriodStart()

  - ### setPlanPeriodStart

    public void setPlanPeriodStart(Date planPeriodStart)

  - ### getPlanPeriodStop

    public Date getPlanPeriodStop()

  - ### setPlanPeriodStop

    public void setPlanPeriodStop(Date planPeriodStop)

  - ### getPlanTimeout

    public int getPlanTimeout()

  - ### setPlanTimeout

    public void setPlanTimeout(int planTimeout)

  - ### getFactPeriodStart

    public Date getFactPeriodStart()

  - ### setFactPeriodStart

    public void setFactPeriodStart(Date factPeriodStart)

  - ### getFactPeriodStop

    public Date getFactPeriodStop()

  - ### setFactPeriodStop

    public void setFactPeriodStop(Date factPeriodStop)

  - ### getFactTimeout

    public int getFactTimeout()

  - ### setFactTimeout

    public void setFactTimeout(int factTimeout)

  - ### getNotifyTextInt

    public String getNotifyTextInt()

  - ### setNotifyTextInt

    public void setNotifyTextInt(String notifyTextInt)

  - ### getNotifyTextExt

    public String getNotifyTextExt()

  - ### setNotifyTextExt

    public void setNotifyTextExt(String notifyTextExt)

  - ### getUserOrderId

    public int getUserOrderId()

  - ### setUserOrderId

    public void setUserOrderId(int userOrderId)

  - ### getUserControlId

    public int getUserControlId()

  - ### getUserOrderName

    public String getUserOrderName()

  - ### setUserOrderName

    public void setUserOrderName(String userOrderName)

  - ### getUserControlName

    public String getUserControlName()

  - ### setUserControlName

    public void setUserControlName(String userControlName)

  - ### setUserControlId

    public void setUserControlId(int userControlId)

  - ### getProblemList

    public List<Integer> getProblemList()

  - ### setProblemList

    public void setProblemList(List<Integer> problemList)